/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.MtCaseDesignChartDao;
import net.northking.cctp.dw.db.service.MtCaseDesignChartService;
import net.northking.cctp.dw.db.entity.MtCaseDesignChart;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import net.northking.cctp.dw.dto.ChartDataGeneQueryDto;
import net.northking.cctp.dw.dto.DwCaseDesignInfoUpdateDto;
import net.northking.cctp.dw.dto.MtCaseDesignChartAddDto;
import net.northking.cctp.dw.dto.MtCaseDesignChartDetailDto;
import net.northking.cctp.platform.db.entity.CltDictItem;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 用例设计统计图表
 *
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-15 14:58:27  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "MtCaseDesignChartServiceImpl")
public class MtCaseDesignChartServiceImpl extends PaginationService<MtCaseDesignChart> implements MtCaseDesignChartService {
    private static final Logger logger = LoggerFactory.getLogger(MtCaseDesignChartServiceImpl.class);

    private final MtCaseDesignChartDao mtCaseDesignChartDao;

    public MtCaseDesignChartServiceImpl(MtCaseDesignChartDao mtCaseDesignChartDao) {
        this.mtCaseDesignChartDao = mtCaseDesignChartDao;
    }

    public BasicDao<MtCaseDesignChart> getDao() {
        return mtCaseDesignChartDao;
    }

    public MtCaseDesignChart createEntity() {
        return new MtCaseDesignChart();
    }

    @Override
    protected void beforeInsert(MtCaseDesignChart mtCaseDesignChart) {

    }

    @Override
    protected void beforeUpdate(MtCaseDesignChart mtCaseDesignChart) {

    }

    @Override
    public List<MtCaseDesignChartDetailDto> listQuery(ChartDataGeneQueryDto chartDataGeneQueryDto) {
        return mtCaseDesignChartDao.listQuery(chartDataGeneQueryDto);
    }

    @Override
    public List<String> getTenantIdList() {
        return mtCaseDesignChartDao.getTenantIdList();
    }

    @Override
    public List<MtCaseDesignChartAddDto> syncDesignNotice(List<CltDictItem> dictItems, String tenantId) {
        return mtCaseDesignChartDao.syncDesignNotice(dictItems, tenantId);
    }

    @Override
    public List<MtCaseDesignChartAddDto> syncDesignNoticeByProjectId(List<CltDictItem> dictItems, String projectId) {
        return mtCaseDesignChartDao.syncDesignNoticeByProjectId(dictItems, projectId);
    }

    @Override
    public Integer deleteByExampleByProjectIds(MtCaseDesignChart mtCaseDesignChart) {
        return mtCaseDesignChartDao.deleteByExampleByProjectIds(mtCaseDesignChart);
    }

    @Override
    public Integer syncDesignNoticeByProjectIds(DwCaseDesignInfoUpdateDto dwCaseDesignInfoUpdateDto) {
        return mtCaseDesignChartDao.syncDesignNoticeByProjectIds(dwCaseDesignInfoUpdateDto);
    }

}

